phone.getGroupCallChainBlocks
Fetch blocks from a conference call subchain »; handle the returned RawUpdateGroupCallChainBlocks as specified here ». If the number of blocks returned by any call to this method is equal to limit, this method must be re-invoked immediately after processing the returned RawUpdateGroupCallChainBlocks, with the newly committed offset (usually equal to the returned next_offset).
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Fetch blocks from a conference call subchain »; handle the returned RawUpdateGroupCallChainBlocks as specified here ». If the number of blocks returned by any call to this method is equal to limit, this method must be re-invoked immediately after processing the returned RawUpdateGroupCallChainBlocks, with the newly committed offset (usually equal to the returned next_offset).
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/phone.getGroupCallChainBlocks" \ -H "Content-Type: application/json" \ -d '{ "params": { "call": { "_": "inputGroupCall", "id": "string", "accessHash": "string" }, "subChainId": 0, "offset": 0, "limit": 0 } }'{ "result": { "_": "updatesTooLong" }}getGroupCall
Get info about a [group call](https://core.telegram.org/api/group-calls#getting-info-about-a-group-call) and its participants.
getGroupCallJoinAs
Get a list of peers that can be used to join a [video chat or livestream »](https://core.telegram.org/api/group-calls#joining-a-group-call-on-behalf-of-owned-channels), presenting yourself as a specific user/channel. This method cannot be used for live stories or conference calls. To comment or react in a live story as another peer, use `channels.RawGetSendAsRequest` with for_live_stories set and pass one of the returned peers to `phone.RawSendGroupCallMessageRequest`.send_as.